function out=L(a,x,gamma)
% out=L(a,x,gamma)
% Usage: Lorentzian
%        a = height
%        x = log10(tau)--> vector
%        gamma = width        
% Created by: Yehu-David Horev
%--------------------------------------------------------------------------
% calculate the Lorentzian
out=a./(1+(x./gamma).^2);
% send the result as a column vector
out=out(:);