function out=P(a,x,s,m)
% out=P(a,x,s,m)
% Usage: Pearson VII
%        a = height
%        x = log10(tau)--> vector
%        s = width
%        m = Gauss/Lorenz factor
% Created by: Yehu-David Horev
%--------------------------------------------------------------------------
% calculate Pearson VII
out=a./((1+(2.*(x).*sqrt(2^(1/m)-1)/s).^2).^m);
% send the result as a column vector
out=out(:);