function [pop_add]=addpick(pop,mut_fun_set)
% [pop_add]=addpick(pop,mut_fun_set)
% Usage: Adds a random peak to the gene.
%        pop = the string(gene) evolving
%        mut_fun_set = the bank of peaks can be used
% Written by: Yehu-David Horev
%--------------------------------------------------------------------------
% choose random peak from the mutation bank
% "ceil" makes the calculation result as a whole number => 0.7=>1
% "rand" chooses a number in random from 0 to 1
add=ceil(rand(1)*length(mut_fun_set));
% add it to the gene
pop_add=[pop,mut_fun_set(add)];