function [out,out_o,fit_out,fitf_out,dis_out]=shuffle(in,in_o,fit,fitf,dis)
% [out,out_o,fit_out,fitf_out]=shuffle(in,in_o,fit,fitf)
% Usage: Mixes up the incoming population
% Created by: Alex Tesler
% Modified by: Arthur Doroshev
%--------------------------------------------------------------------------
D=length(in);
a=rand(D,1);
[a,index]=sort(a); 
for i=1:D
   out{i}=in{index(i)}; 
   out_o{i}=in_o{index(i)};
   fit_out(i)=fit(index(i));
   fitf_out(i)=fitf(index(i));
   dis_out(i)=dis(index(i));
end