function tr=treecomp(pop)
% tr=treecomp(pop,assum)
% Usage: Calculate the model's complexibility.
% Modified by: Yehu-David Horev, Maor Asher, Arthur Doroshev
%--------------------------------------------------------------------------
tree_comp=0;
for i=1:length(pop)
        % 2 free parameters
    if pop(i)=='D'     || pop(i)=='Y'    || pop(i)=='U'
        % Pseudo Delta || high tau Delta || low tau Delta
        tree_comp=tree_comp+2;
        
        % 3 free parameters
    elseif pop(i)=='G' || pop(i)=='L' || pop(i)=='S' || pop(i)=='C' || pop(i)=='B' 
        % Gaussian     || Lorentzian  || Sech        || Cole-Cole   || Kirkwood Fous
        tree_comp=tree_comp+3;
        
        % 4 free parameters
    elseif pop(i)=='F'        || pop(i)=='K'           || pop(i)=='A' || pop(i)=='P' || pop(i)=='H'      || pop(i)=='E'
        % Asymmetric Gaussian || Asymmetric Lorentzian || Losev       || Pearson VII || Havriliak Negami || Asymmetric Sech
        tree_comp=tree_comp+4;
        
        % 5 free parameters
    elseif pop(i)=='V'
        % Pseudo Voigt
        tree_comp=tree_comp+5;
    end
end
tr=tree_comp;