function out=A(a,x,s1,s2)
% out=A(a,x,s1,s2)
% Usage: Losev peak, generalization of hyperbolic secant
%        a = height
%        x = log10(tau)--> vector
%        s1 = w1; s2 = w2;        
% Created by: Alon Oz
% Modified by: Arthur Doroshev
%--------------------------------------------------------------------------
% calculate the Losev
out=a./(exp(-x./s1)+exp(x./s2));
% sending the result out as a column vector
out=out(:);