function pop=initial(max_trees,fun_set)
% pop=initial(max_trees,fun_set)
% Usage: Establishing the initial population
%        max_trees = max # of picks
%        fun_set = the peaks allowed in the initial population
% Written by: Yehu-David Horev
%--------------------------------------------------------------------------
% random # of chromosomes in a gene => how many peaks are allowed in this gene
% "ceil" makes the calculation result as a whole number => 0.7=>1
% "rand" chooses a number in random from 0 to 1
num=ceil(max_trees*rand(1));
% building the tree
pop=[];
for i=1:num
    % random peak from initial pop bank
    in=ceil(rand(1)*length(fun_set));
    % enter the random peak to the gene
    pop=[pop,fun_set(in)];
end